Get Accounts
curl --request GET \
--url https://api.sandbox.sudo.cards/accounts \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/accounts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Accounts fetched successfully.",
"data": [
{
"_id": "6a26b1a448fe5e287ce408d0",
"business": "696edb9889c90df3bcdbe067",
"customer": "6a26b14a48fe5e287ce40899",
"type": "wallet",
"currency": "USD",
"accountName": "John Doemain",
"bankCode": "SudoHUSMC",
"accountType": "Current",
"accountNumber": "b9803bdc-5f40-47e2-b3f9-a447a4260cfe",
"currentBalance": 0,
"availableBalance": 0,
"provider": "SudoHUSMC",
"providerReference": "b9803bdc-5f40-47e2-b3f9-a447a4260cfe",
"referenceCode": "b9803bdc-5f40-47e2-b3f9-a447a4260cfe",
"reloadable": true,
"isDefault": false,
"isDeleted": false,
"createdAt": "2026-06-08T12:12:20.345Z",
"updatedAt": "2026-06-08T12:12:20.345Z",
"charges": [],
"__v": 0
},
{
"_id": "6a26b18c48fe5e287ce408b4",
"business": "696edb9889c90df3bcdbe067",
"type": "wallet",
"currency": "NGN",
"accountName": "SUDO / PRIMETECH",
"bankCode": "999240",
"accountType": "Current",
"accountNumber": "5010990188",
"currentBalance": 0,
"availableBalance": 0,
"provider": "SafeHaven",
"providerReference": "6a26b18cd32eea0024e8398c",
"referenceCode": "subacc_1780920715820",
"reloadable": true,
"isDefault": true,
"isDeleted": false,
"createdAt": "2026-06-08T12:11:56.272Z",
"updatedAt": "2026-06-08T12:11:56.272Z",
"charges": [],
"__v": 0
},
{
"_id": "6a26a5dbcc75963954c24301",
"business": "696edb9889c90df3bcdbe067",
"type": "wallet",
"currency": "NGN",
"accountName": "SUDO / PRIMETECH",
"bankCode": "999240",
"accountType": "Current",
"accountNumber": "5010070636",
"currentBalance": 0,
"availableBalance": 0,
"provider": "SafeHaven",
"providerReference": "6a26a5dbd32eea0024e835fb",
"referenceCode": "subacc_1780917722305",
"reloadable": true,
"isDefault": true,
"isDeleted": false,
"createdAt": "2026-06-08T11:22:03.491Z",
"updatedAt": "2026-06-08T11:22:03.491Z",
"charges": [],
"__v": 0
}
],
"pagination": {
"total": 8,
"pages": 1,
"page": 0,
"limit": 50
}
}{
"statusCode": 400,
"message": "Invalid pagination parameters.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}Accounts
Get Accounts
Fetches existing accounts according to query parameters.
GET
/
accounts
Get Accounts
Authorizations
Query Parameters
Specifies the position the response data should begin from.
The number of accounts to fetch.
The currency type of the accounts you wish to fetch.
Available options:
ALL, NGN, USD Specifies whether to fetch the settlement accounts or the wallets
Available options:
account, wallet Response
Accounts fetched successfully.
⌘I
